#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
int faktorijal(int n)
{
	int s=1;
	for(int i=1;i<=n;i++)
	{
		s*=i;
	}
	return s;
}
int n,x;
int main(int argc, char** argv) 
{
	cin>>n;
	for(int i=4;i<100000;i++)
	{
		if(faktorijal(i)==6*n*faktorijal(i-3))
		{
			x=i;
			break;
		} 
	}
	cout<<x<<endl;
	for(int i=0;i<n;i++)
	{
		cout<<i<<" "<<i<<endl;
	}
}